Bug 1126764 - [abrt] shotwell: resources_get_noninterpretable_badge_pixbuf(): shotwell killed by SIGTRAP
Summary: [abrt] shotwell: resources_get_noninterpretable_badge_pixbuf(): shotwell kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e0e76bea863decff5c5256cfeb1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 08:39 UTC by Bernhard Schuster
Modified: 2015-06-29 21:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:56:41 UTC


Attachments (Terms of Use)
File: backtrace (79.57 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: core_backtrace (51.69 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: dso_list (13.72 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: environ (1.46 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: maps (72.05 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: open_fds (1.40 KB, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details
File: var_log_messages (190 bytes, text/plain)
2014-08-05 08:39 UTC, Bernhard Schuster
no flags Details

Description Bernhard Schuster 2014-08-05 08:39:39 UTC
Description of problem:
Run shotwell right after cinnamon DE appeared. A later start in the very same session did not cause the crash.

Version-Release number of selected component:
shotwell-0.15.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: resources_get_noninterpretable_badge_pixbuf
executable:     /usr/bin/shotwell
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 resources_get_noninterpretable_badge_pixbuf at /usr/src/debug/shotwell-0.15.1/src/Resources.vala:826
 #3 video_reader_read_preview_frame at /usr/src/debug/shotwell-0.15.1/src/VideoSupport.vala:289
 #4 video_check_is_interpretable at /usr/src/debug/shotwell-0.15.1/src/VideoSupport.vala:885
 #5 video_monitor_video_interpretable_check_job_real_execute at /usr/src/debug/shotwell-0.15.1/src/VideoMonitor.vala:55
 #6 workers_thread_start at /usr/src/debug/shotwell-0.15.1/src/threads/Workers.vala:96
 #7 _workers_thread_start_gfunc at /usr/src/debug/shotwell-0.15.1/src/threads/Workers.vala:31
 #9 g_thread_proxy at gthread.c:798

Potential duplicate: bug 906919

Comment 1 Bernhard Schuster 2014-08-05 08:39:43 UTC
Created attachment 924140 [details]
File: backtrace

Comment 2 Bernhard Schuster 2014-08-05 08:39:44 UTC
Created attachment 924141 [details]
File: cgroup

Comment 3 Bernhard Schuster 2014-08-05 08:39:45 UTC
Created attachment 924142 [details]
File: core_backtrace

Comment 4 Bernhard Schuster 2014-08-05 08:39:47 UTC
Created attachment 924143 [details]
File: dso_list

Comment 5 Bernhard Schuster 2014-08-05 08:39:48 UTC
Created attachment 924144 [details]
File: environ

Comment 6 Bernhard Schuster 2014-08-05 08:39:49 UTC
Created attachment 924145 [details]
File: limits

Comment 7 Bernhard Schuster 2014-08-05 08:39:51 UTC
Created attachment 924146 [details]
File: maps

Comment 8 Bernhard Schuster 2014-08-05 08:39:52 UTC
Created attachment 924147 [details]
File: open_fds

Comment 9 Bernhard Schuster 2014-08-05 08:39:53 UTC
Created attachment 924148 [details]
File: proc_pid_status

Comment 10 Bernhard Schuster 2014-08-05 08:39:54 UTC
Created attachment 924149 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:33:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:56:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.